#ifndef OLD_TYPES_INCLUDE
#define OLD_TYPES_INCLUDE
#include "sys/types.h"
#endif
#include "sys/sysmacros.h"
#include "config.h"

#include "sys/oet.h"

/***********************************************************************/
/* Here are the possible configuration parameters that can be set      */
/* for the driver. If you don't set any, defaults will be used.        */
/***********************************************************************/
/* Example of setting LINK integrity OFF for oet_1						*/
/* #define OET_1_LINK		0											*/
/* Example of setting the media to twisted pair for oet2				*/
/* #define OET_2_MEDIA		OET_MEDIA_FORCE_TP							*/
/* Example of setting the SPEED to 100Mb for oet3						*/
/* #define OET_3_SPEED		OET_SPEED_FORCE100Mb						*/
/* Example of setting the DUPLEX to FULL for oet4						*/
/* #define OET_4_DUPLEX		OET_DUPLEX_FULL								*/
/* Example of setting the PCI Latency Timer to 200 for oet0				*/
/* #define OET_0_LATENCY	200											*/
/* Example of setting the node address for oet1 to X'000024112233'      */
/* #define OET_1_NODEADDR	{ 0x00, 0x00, 0x24, 0x11, 0x22, 0x33 }		*/
/***********************************************************************/

/*****************************************************************/
/* Here comes all the vendor-specific text-strings of the driver */
/* If you change any texts, you must preserve the order and type */
/* of the '%' format specifiers.				 */
/*****************************************************************/
char oet_boardtext[] = "Olicom  %s Adapter %d ";
/*               as in "Olicom PCI/II Adapter 0 " */
const char *oet_productname[] = {
	"? Unknown",			/* unknown adapter */
	"PCI/II OC-2325",		/* PCI adapter */
	"PCI/II OC-218x",		/* PCI adapter */
};
const char *oet_productid = "OC2983";
const char oet_vendor[] = "Copyright (c) 1996 Olicom A/S, All Rights Reserved.";
char oet_modname[] = "Olicom Ethernet adater";
const char *oet_message[] = {
	/* 001E */	"Cannot read eeprom: checksum failed on configuration info",
	/* 002E */	"Adapter not found at configured address %s",
	/* 003I */	"Present adapter(s) are at %s",
	/* 004E */	"Unsupported cm version %d",
	/* 005E */	"No boards configured for %s",
	/* 006E */	"cm_intr_attach failed for interrupt %d",
	/* 007E */	"Memory allocation error",
	/* 008W */	"Unknown major number",

};

const char unknown_error[] = "Unknown Error";

/***************************************/
/* End of vendor-specific text-strings */
/***************************************/

#ifndef OET_USERS
/* valid range 1 - 31 */
#define OET_USERS	16
#endif

const int oet_cmajors = OET_CMAJORS;
const int oet0_cmajor = OET_CMAJOR_0;
const int oet_cntlsap = OET_USERS; /* per board */

#define  OET_BOARDS OET_CMAJORS
struct oethwconf oet_hwconf[OET_BOARDS] = {
#if (OET_BOARDS > 0)
#ifndef OET_0_NODEADDR
#define OET_0_NODEADDR	NULL_MACADDR
#endif
#ifndef OET_0_LINK
#define OET_0_LINK	1	/* LINK integrity ON */
#endif
#ifndef OET_0_MEDIA
#define OET_0_MEDIA		OET_MEDIA_AUTO
#endif
#ifndef OET_0_SPEED
#define OET_0_SPEED		OET_SPEED_AUTO
#endif
#ifndef OET_0_DUPLEX
#define OET_0_DUPLEX	OET_DUPLEX_AUTO
#endif
#ifndef OET_0_LATENCY
#define OET_0_LATENCY	OET_LATENCY_DEFAULT
#endif
	{ OET_0_LINK, OET_0_MEDIA, OET_0_SPEED, OET_0_DUPLEX, OET_0_LATENCY, OET_0_NODEADDR },
#endif
#if (OET_BOARDS > 1)
#ifndef OET_1_NODEADDR
#define OET_1_NODEADDR	NULL_MACADDR
#endif
#ifndef OET_1_LINK
#define OET_1_LINK	1	/* LINK integrity ON */
#endif
#ifndef OET_1_MEDIA
#define OET_1_MEDIA		OET_MEDIA_AUTO
#endif
#ifndef OET_1_SPEED
#define OET_1_SPEED		OET_SPEED_AUTO
#endif
#ifndef OET_1_DUPLEX
#define OET_1_DUPLEX	OET_DUPLEX_AUTO
#endif
#ifndef OET_1_LATENCY
#define OET_1_LATENCY	OET_LATENCY_DEFAULT
#endif
	{ OET_1_LINK, OET_1_MEDIA, OET_1_SPEED, OET_1_DUPLEX, OET_1_LATENCY, OET_1_NODEADDR },
#endif
#if (OET_BOARDS > 2)
#ifndef OET_2_NODEADDR
#define OET_2_NODEADDR	NULL_MACADDR
#endif
#ifndef OET_2_LINK
#define OET_2_LINK	1	/* LINK integrity ON */
#endif
#ifndef OET_2_MEDIA
#define OET_2_MEDIA		OET_MEDIA_AUTO
#endif
#ifndef OET_2_SPEED
#define OET_2_SPEED		OET_SPEED_AUTO
#endif
#ifndef OET_2_DUPLEX
#define OET_2_DUPLEX	OET_DUPLEX_AUTO
#endif
#ifndef OET_2_LATENCY
#define OET_2_LATENCY	OET_LATENCY_DEFAULT
#endif
	{ OET_2_LINK, OET_2_MEDIA, OET_2_SPEED, OET_2_DUPLEX, OET_2_LATENCY, OET_2_NODEADDR },
#endif
#if (OET_BOARDS > 3)
#ifndef OET_3_NODEADDR
#define OET_3_NODEADDR	NULL_MACADDR
#endif
#ifndef OET_3_LINK
#define OET_3_LINK	1	/* LINK integrity ON */
#endif
#ifndef OET_3_MEDIA
#define OET_3_MEDIA		OET_MEDIA_AUTO
#endif
#ifndef OET_3_SPEED
#define OET_3_SPEED		OET_SPEED_AUTO
#endif
#ifndef OET_3_DUPLEX
#define OET_3_DUPLEX	OET_DUPLEX_AUTO
#endif
#ifndef OET_3_LATENCY
#define OET_3_LATENCY	OET_LATENCY_DEFAULT
#endif
	{ OET_3_LINK, OET_3_MEDIA, OET_3_SPEED, OET_3_DUPLEX, OET_3_LATENCY, OET_3_NODEADDR },
#endif
#if (OET_BOARDS > 4)
#ifndef OET_4_NODEADDR
#define OET_4_NODEADDR	NULL_MACADDR
#endif
#ifndef OET_4_LINK
#define OET_4_LINK	1	/* LINK integrity ON */
#endif
#ifndef OET_4_MEDIA
#define OET_4_MEDIA		OET_MEDIA_AUTO
#endif
#ifndef OET_4_SPEED
#define OET_4_SPEED		OET_SPEED_AUTO
#endif
#ifndef OET_4_DUPLEX
#define OET_4_DUPLEX	OET_DUPLEX_AUTO
#endif
#ifndef OET_4_LATENCY
#define OET_4_LATENCY	OET_LATENCY_DEFAULT
#endif
	{ OET_4_LINK, OET_4_MEDIA, OET_4_SPEED, OET_4_DUPLEX, OET_4_LATENCY, OET_4_NODEADDR },
#endif
};
